TrailerDictionary (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.pdf.xref

## Class TrailerDictionary

- java.lang.Object
- - org.apache.fop.pdf.xref.TrailerDictionary

-     public class TrailerDictionary
      extends Object

  A data class representing entries of the file trailer dictionary.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrailerDictionary(PDFDocument pdfDocument)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PDFDictionary` | `getDictionary()`
    `TrailerDictionary` | `setEncryption(PDFEncryption encryption)` Sets the value of the Encrypt entry.
    `TrailerDictionary` | `setFileID(byte[] originalFileID, byte[] updatedFileID)` Sets the value of the ID entry.
    `TrailerDictionary` | `setInfo(PDFInfo info)` Sets the value of the Info entry.
    `TrailerDictionary` | `setRoot(PDFRoot root)` Sets the value of the Root entry.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrailerDictionary

          public TrailerDictionary(PDFDocument pdfDocument)

  - ### Method Detail

    - #### setRoot

          public TrailerDictionary setRoot(PDFRoot root)

      Sets the value of the Root entry.

    - #### setInfo

          public TrailerDictionary setInfo(PDFInfo info)

      Sets the value of the Info entry.

    - #### setEncryption

          public TrailerDictionary setEncryption(PDFEncryption encryption)

      Sets the value of the Encrypt entry.

    - #### setFileID

          public TrailerDictionary setFileID(byte[] originalFileID,
                                             byte[] updatedFileID)

      Sets the value of the ID entry.

    - #### getDictionary

          public PDFDictionary getDictionary()

Copyright © 2025 Apache Software Foundation. All rights reserved.